Test::Alien::Diag(3)

NAME
Test::Alien::Diag - Print out standard diagnostic for Aliens in the test step.

VERSION
version 2.84

SYNOPSIS
 use Test2::V0;
 use Test::Alien::Diag qw( alien_diag );

DESCRIPTION
This module provides an "alien_diag" method that prints out diagnostics useful for cpantesters and other bug reports that gives a quick summary of the important settings like "clfags" and "libs".

FUNCTIONS

  alien_diag
 alien_diag @aliens;

prints out diagnostics for each given alien. Each alien must be the class name of an alien.

[version 2.68]

 alien_diag @aliens, \%options;

Starting with Alien::Build 2.68, you can provide an option hash to adjust the behavior of "alien_diag". Valid options are:

properties
    Additional properties to display in the diagnostic. Useful when you have an Alien with custom properties defined in the subclass.

list_properties
    Additional properties that are returned as a list to display in the diagnostic. Useful when you have an Alien with customer properties that return a list.

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Diab Jerius (DJERIUS)

Roy Storey (KIWIROY)

Ilya Pavlov

David Mertens (run4flat)

Mark Nunberg (mordy, mnunberg)

Christian Walde (Mithaldu)

Brian Wightman (MidLifeXis)

Zaki Mughal (zmughal)

mohawk (mohawk2, ETJ)

Vikas N Kumar (vikasnkumar)

Flavio Poletti (polettix)

Salvador Fandiño (salva)

Gianni Ceccarelli (dakkar)

Pavel Shaydo (zwon, trinitum)

Kang-min Liu (劉康民, gugod)

Nicholas Shipp (nshp)

Juan Julián Merelo Guervós (JJ)

Joel Berger (JBERGER)

Petr Písař (ppisar)

Lance Wicks (LANCEW)

Ahmad Fatoum (a3f, ATHREEF)

José Joaquín Atria (JJATRIA)

Duke Leto (LETO)

Shoichi Kaji (SKAJI)

Shawn Laffan (SLAFFAN)

Paul Evans (leonerd, PEVANS)

Håkon Hægland (hakonhagland, HAKONH)

nick nauwelaerts (INPHOBIA)

Florian Weimer

COPYRIGHT AND LICENSE
This software is copyright (c) 2011-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.